Subject: Re: bug#13192: 24.3.50; gdb caught SIG_DFL after launching a process

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Dec 2012 15:54:14 +0200

> from: [email-masked]
> Date: Sat, 15 Dec 2012 14:02:36 +0100
> 
> I am not sure it's a bug, I don't know what SIG_DFL is.

It means signal handler for signal 'sig' was set to its default value.

> I think I was calling browse-url when it happened. There is no
> xbacktrace. I leave gdb running if someone wants me to look around.
> 
> Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=10) at emacs.c:315
> 315       signal (sig, SIG_DFL);
> 
> #0  terminate_due_to_signal (sig=6, backtrace_limit=10) at emacs.c:315
> No locals.
> #1  0x081756cb in emacs_abort () at sysdep.c:2113
> No locals.
> #2  0x08173b5c in get_child_status (child=12251, status=0xbfffdae4, options=3, 
>     interruptible=false) at sysdep.c:297
>         pid = -1

What is the value of errno in this frame #2?